Boost orders
Sell Boost
Sell an open Boost back to the house before its window closes (trade key) — it pays sell_proceeds. Not in a window’s last minute. Never rate limited. The body is optional.
POST
/
portfolio
/
boosts
/
{boost_id}
/
sell
Sell Boost
curl --request POST \
--url https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}/sell \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_proceeds": "<string>"
}
'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}/sell"
payload = { "expected_proceeds": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expected_proceeds: '<string>'})
};
fetch('https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}/sell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"boost": {
"boost_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"kind": "boost",
"mode": "live",
"status": "pending",
"stake": "<string>",
"multiplier": "<string>",
"max_payout": "<string>",
"created_ts_ms": 4503599627370495,
"client_order_id": "<string>",
"price_to_beat": "<string>",
"value": "<string>",
"sell_proceeds": "<string>",
"close_price": "<string>",
"payout": "<string>",
"credit_used": "<string>",
"paid": "<string>",
"close_ts_ms": 4503599627370495,
"settled_ts_ms": 4503599627370495,
"bet": {
"order_id": "<string>",
"contracts": "<string>",
"cost": "<string>"
}
}
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}Authorizations
Body
application/json
⌘I
Sell Boost
curl --request POST \
--url https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}/sell \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_proceeds": "<string>"
}
'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}/sell"
payload = { "expected_proceeds": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expected_proceeds: '<string>'})
};
fetch('https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}/sell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"boost": {
"boost_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"kind": "boost",
"mode": "live",
"status": "pending",
"stake": "<string>",
"multiplier": "<string>",
"max_payout": "<string>",
"created_ts_ms": 4503599627370495,
"client_order_id": "<string>",
"price_to_beat": "<string>",
"value": "<string>",
"sell_proceeds": "<string>",
"close_price": "<string>",
"payout": "<string>",
"credit_used": "<string>",
"paid": "<string>",
"close_ts_ms": 4503599627370495,
"settled_ts_ms": 4503599627370495,
"bet": {
"order_id": "<string>",
"contracts": "<string>",
"cost": "<string>"
}
}
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}